local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.VendorMounts(container)



-- Shadowlands Tab
local function DrawGroup1(container)
 
core.BFAVendorMounts(container)

end

-- BFA Tab
local function DrawGroup2(container)

core.LegionVendorMounts(container)

end

-- Legion Tab
local function DrawGroup3(container)

core.WodVendorMounts(container)

end

-- Wod Tab
local function DrawGroup4(container)

core.MopVendorMounts(container)

end

-- Mop Tab
local function DrawGroup5(container)

core.WotlkVendorMounts(container)

end






local function SelectGroup(container, event, group)
   container:ReleaseChildren()
   if group == "tab1" then
      DrawGroup1(container)
   elseif group == "tab2" then
      DrawGroup2(container)
   
      elseif group == "tab3" then
      DrawGroup3(container)
   
      elseif group == "tab4" then
      DrawGroup4(container)
   
      elseif group == "tab5" then
      DrawGroup5(container)

   
   end
end


local frame = AceGUI:Create("Frame")
frame:SetTitle("Vendor Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetCallback("OnClose", function(widget) AceGUI:Release(widget) end)


frame:SetLayout("Fill")





local tab =  AceGUI:Create("TabGroup")
tab:SetLayout("Flow")
tab:SetTabs({{text="Battle for Azeroth", value="tab1"}, {text="Legion", value="tab2"}, {text="Warlords of Draenor", value="tab3"}, {text="Mists of Pandaria", value="tab4"}, {text="Wrath of the Lich King", value="tab5"}})
tab:SetCallback("OnGroupSelected", SelectGroup)
tab:SelectTab("tab1")

frame:AddChild(tab)











end